Send receipt
curl --request POST \
--url https://api.openfiskal.com/v1/receipts/{receiptId}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-OpenFiskal-Merchant: <x-openfiskal-merchant>' \
--data '
{
"recipient": "<string>",
"locale": "<string>"
}
'import requests
url = "https://api.openfiskal.com/v1/receipts/{receiptId}/send"
payload = {
"recipient": "<string>",
"locale": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-OpenFiskal-Merchant": "<x-openfiskal-merchant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-OpenFiskal-Merchant': '<x-openfiskal-merchant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({recipient: '<string>', locale: '<string>'})
};
fetch('https://api.openfiskal.com/v1/receipts/{receiptId}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"receipt_id": "<string>",
"channel": "email",
"recipient": "<string>",
"status": "queued",
"created_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": {}
}Receipts
Send receipt
Send a hosted receipt by email or SMS.
POST
/
receipts
/
{receiptId}
/
send
Send receipt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Was this page helpful?